Package org.flowable.bpmn.model

# Class Interface

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.Interface

All Implemented Interfaces:
  `HasExtensionAttributes`

public class Interface extends BaseElement

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `implementationRef`
  `protected String`
  `name`
  `protected List<Operation>`
  `operations`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Interface()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Interface`
  `clone()`
  `String`
  `getImplementationRef()`
  `String`
  `getName()`
  `List<Operation>`
  `getOperations()`
  `void`
  `setImplementationRef(String implementationRef)`
  `void`
  `setName(String name)`
  `void`
  `setOperations(List<Operation> operations)`
  `void`
  `setValues(Interface otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

  - ### implementationRef

    protected String implementationRef

  - ### operations

    protected List<Operation> operations

- ## Constructor Details

  - ### Interface

    public Interface()

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getImplementationRef

    public String getImplementationRef()

  - ### setImplementationRef

    public void setImplementationRef(String implementationRef)

  - ### getOperations

    public List<Operation> getOperations()

  - ### setOperations

    public void setOperations(List<Operation> operations)

  - ### clone

    public Interface clone()
    Specified by:
      `clone` in class `BaseElement`

  - ### setValues

    public void setValues(Interface otherElement)